
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>查看PHP opcode扩展模块Web服务 / iVAN</title>

    <meta name="description" content="查看PHP opcode扩展模块Web服务 最近花了大约一星期的时间写了一个PHP扩展模块Opdumer,并封装成了Web服务(点击这里访问).这个模块的主要内容是输出PHP代码对应的opcode.其实之前已经有一些用于查看opcode的扩展模块,如比较有名的vld.之所以重新实现一个这样的模块,主要是因为vld不支持PHP_FUNCTION API,也就是说vld只能用于CLI形式,而Opdumer同时拥有CLI API和PHP_FUNCTION API,另外,也想借助编写这个模块的机会学习Zend Engine中opcode的编译和执">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">查看PHP opcode扩展模块Web服务</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>　　最近花了大约一星期的时间写了一个PHP扩展模块Opdumer，并封装成了Web服务(点击这里访问)。这个模块的主要内容是输出PHP代码对应的opcode。其实之前已经有一些用于查看opcode的扩展模块，如比较有名的vld。之所以重新实现一个这样的模块，主要是因为vld不支持PHP_FUNCTION API，也就是说vld只能用于CLI形式，而Opdumer同时拥有CLI API和PHP_FUNCTION API，另外，也想借助编写这个模块的机会学习Zend Engine中opcode的编译和执行机制。个人打算后面专门针对opcode的编译执行机制写一篇文章，而本文主要描述Opcode的使用方法及对应Web服务的使用。</p>
<p>　　Opdumper</p>
<p><strong>　　安装</strong></p>
<p>　　Opdumper的源码已经托管在github上，其地址为：https://github.com/ericzhang-cn/opdumper。可以通过以下命令克隆源代码：</p>
<p>　　git clone https://github.com/ericzhang-cn/opdumper.git</p>
<p>　　Opdumper是一个标准的PHP Extension，安装方法如下：</p>
<p>　　首先将Opdumper源码放到PHP源码包的ext/opdumper目录下，进入此目录执行如下命令：</p>
<p> </p>
<p>　　phpize</p>
<p>　　./configure</p>
<p>　　make</p>
<p>　　make install</p>
<p> </p>
<p>　　然后在php.ini中添加一行配置：</p>
<p>　　extension=opdumper.so</p>
<p>　　目前opdumper支持PHP&gt;=5.3，在Linux和MacOS下测试通过，Windows下未做测试。</p>
<p>　　CLI API</p>
<p>　　Opdumper支持类似vld的命令行方式输出opcode，只需在执行php命令时通过-d参数将opdumper.active=1传入。例如我们有一个foo.php：</p>
<p> </p>
<p>　　&lt;?php</p>
<p>　　$a = 'hello';</p>
<p>　　echo $a;</p>
<p>　　?&gt;</p>
<p> </p>
<p>　　执行如下命令：</p>
<p>　　php -d opdumper.active=1 foo.php</p>
<p>　　结果如下：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gzLm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjAxMjUxOTE1NTgxMzA3LnBuZw==.jpg"><br /><strong>　　PHP_FUNCTION API</strong></p>
<p>　　Opdumper还支持vld不支持的PHP_FUNCTION API，Opdumper提供了两个PHP函数：od_dump_opcodes_string和od_dump_opcodes_file。前者接受一个字符串作为产生，字符串是一段PHP代码;后者接受一个PHP文件作为参数，返回值均是一个存有opcode结果的PHP数组。以od_dump_opcodes_file为例，我们在foo.php同一目录下再写一个bar.php：</p>
<p> </p>
<p>　　&lt;?php</p>
<p>　　$opcodes = od_dump_opcodes_file('./foo.php');</p>
<p>　　var_dump($opcodes);</p>
<p>　　?&gt;</p>
<p> </p>
<p>　　执行结果如下：</p>
<p> </p>
<p>　　array(3) {</p>
<p>　　[0]=&gt;</p>
<p>　　array(8) {</p>
<p>　　["lineno"]=&gt;</p>
<p>　　int(2)</p>
<p>　　["opcode"]=&gt;</p>
<p>　　string(11) "ZEND_ASSIGN"</p>
<p>　　["op1_type"]=&gt;</p>
<p>　　string(2) "CV"</p>
<p>　　["op2_type"]=&gt;</p>
<p>　　string(5) "CONST"</p>
<p>　　["result_type"]=&gt;</p>
<p>　　string(0) ""</p>
<p>　　["op1"]=&gt;</p>
<p>　　string(2) "~0"</p>
<p>　　["op2"]=&gt;</p>
<p>　　string(5) "hello"</p>
<p>　　["result"]=&gt;</p>
<p>　　string(0) ""</p>
<p>　　}</p>
<p>　　[1]=&gt;</p>
<p>　　array(8) {</p>
<p>　　["lineno"]=&gt;</p>
<p>　　int(3)</p>
<p>　　["opcode"]=&gt;</p>
<p>　　string(9) "ZEND_ECHO"</p>
<p>　　["op1_type"]=&gt;</p>
<p>　　string(2) "CV"</p>
<p>　　["op2_type"]=&gt;</p>
<p>　　string(6) "UNUSED"</p>
<p>　　["result_type"]=&gt;</p>
<p>　　string(6) "UNUSED"</p>
<p>　　["op1"]=&gt;</p>
<p>　　string(2) "~0"</p>
<p>　　["op2"]=&gt;</p>
<p>　　string(6) "UNUSED"</p>
<p>　　["result"]=&gt;</p>
<p>　　string(6) "UNUSED"</p>
<p>　　}</p>
<p>　　[2]=&gt;</p>
<p>　　array(8) {</p>
<p>　　["lineno"]=&gt;</p>
<p>　　int(5)</p>
<p>　　["opcode"]=&gt;</p>
<p>　　string(11) "ZEND_RETURN"</p>
<p>　　["op1_type"]=&gt;</p>
<p>　　string(5) "CONST"</p>
<p>　　["op2_type"]=&gt;</p>
<p>　　string(6) "UNUSED"</p>
<p>　　["result_type"]=&gt;</p>
<p>　　string(6) "UNUSED"</p>
<p>　　["op1"]=&gt;</p>
<p>　　string(1) "1"</p>
<p>　　["op2"]=&gt;</p>
<p>　　string(6) "UNUSED"</p>
<p>　　["result"]=&gt;</p>
<p>　　string(6) "UNUSED"</p>
<p>　　}</p>
<p>　　}</p>
<p> </p>
<p><strong>　　Opdumper的Web服务：Opcode Dumper</strong></p>
<p>　　坦白说，安装PHP模块还是挺麻烦的。所以为了方便朋友们查看opcode，我为Opdumper搭建了一个在线Web服务：http://supercompiler.com/app/opcode_dumper。</p>
<p><strong>　　Web页面访问</strong></p>
<p>　　只要访问这个页面，在编辑框中输入或粘贴进PHP代码，就可以快速看到相应的opcode：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gzLm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjAxMjUxOTE1NTgyNjQzLnBuZw==.jpg"><br />　　同时，也可以将结果下载到本地(CSV文件格式)。</p>
<p><strong>　　HTTP API方式访问</strong></p>
<p>　　您可以通过访问如下API获取PHP代码的opcode：</p>
<p>　　URI: http://supercompiler.com/api/dump_opcodes</p>
<p>　　Method: POST</p>
<p>　　Params: php_script=[您的PHP代码]</p>
<p>　　返回值为JSON格式，成功时success字段为”true”，data字段存储opcodes;失败时success字段为”false”，msg字段存放失败原因。</p>
<p>　　由于跨越的关系，目前只能使用Curl而不能使用Ajax方式调用这个API，后续会为其增加JSONP接口。</p>
<p><strong>　　结语</strong></p>
<p>　　目前这个模块还比较初级，有很多需要完善的地方。也欢迎有兴趣的朋友通过github贡献代码。</p>
<p>　　原文链接：http://www.codinglabs.org/html/opdumper-and-web-opcode-dumper.html</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 17:52:32</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/php/" title="php">php</a>, <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%a0%81/" title="代码">代码</a>, <a href="https://www.iamivan.net/tag/%e6%a8%a1%e5%9d%97/" title="模块">模块</a>, <a href="https://www.iamivan.net/tag/string/" title="string">string</a>, <a href="https://www.iamivan.net/tag/opcodes/" title="opcodes">opcodes</a>, <a href="https://www.iamivan.net/tag/opcode/" title="OPCode">OPCode</a>, <a href="https://www.iamivan.net/tag/vld/" title="vld">vld</a>, <a href="https://www.iamivan.net/tag/opcode%e5%8e%9f%e7%90%86/" title="OpCode原理">OpCode原理</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>查看PHP opcode扩展模块Web服务的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn86RAb.html" rel="bookmark">ASP&period;NET如何使用web服务的会话状态&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在web服务中要用到ASP.NET中的会话对象,有2件事情需要做. 1.WebService 类需要继承System.Web.Services.WebService类 2.WebMethod中的EnableSession属性值应该设置为true 来看我们CalculatorWebService类,我们可以看到,它已经继承System.Web.Services.WebService类.但是,我们需要EnableSession属性值设置为true. 本文中,我们将试试在使用一个如下所示的GridVi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mv5GANb.html" rel="bookmark">ASP&period;Net Web 服务 &ndash; 如何使用会话状态 【已翻译100&percnt;】</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在上次博客帖子中,我们讨论了客户端对web服务的使用.在这篇文章中我们将复习一下如何使用web服务的会话状态. 这是上一篇文章的延续.因此请迅速的回顾之前的文章以便有一个清晰的概念. 你可以这里阅读上篇文章. 在web服务中要用到ASP.NET中的会话对象,有2件事情需要做. 1.WebService 类需要继承System.Web.Services.WebService类 2.WebMethod中的EnableSession属性值应该设置为true 来看我们CalculatorWebServi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNOyYPp.html" rel="bookmark">查看网站中WEB服务中的方法时报异常</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 在WEB服务中写了一个返回泛型的方法,上边也加上了[WebMethod]标签,但是在添加WEB服务的时候我查看一下这个方法,点击调用的时候说&quot;无法查看网页&quot;,不晓得这个是什么异常,请各位高手给帮帮忙啊!!! 解决方案 解决方案二:该回复于2009-04-04 20:41:06被版主删除			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/2pLa2Zz.html" rel="bookmark">开发自己的Web服务处理程序&lpar;以支持Ajax框架异步调用Web服务方法&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				当你添加Asp.net AJAX功能到你的Web程序的时候,你需要在Web.config中做一些改变,需要你显式地移除默认的ASMX处理程序并且添加asp.net ajax框架自己的脚本处理器来作为ASMX处理程序.在上一篇异步调用Web服务方法中,我们谈论过,ajax框架的asmx(ScriptHandler)是不支持异步调用Web服务方法的,所以为了让asp.netajax支持异步Web方法调用,我们需要避开该处理器,以提供自定义的处理器来取代它. Asp.netAJAX框架的ASMX处理器			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMy2GJp.html" rel="bookmark">为何XML对Web服务很重要</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				web|web服务|xml Web服务经常从它的组件技术的角度来进行描述.SOAP.UDDI.WSDL.XML以及HTTP各自组成了Web服务体系的一部分,它们都发挥了重要作用.让我们看看XML技术对Web服务平台的贡献. 标准化 与其它Web服务技术相比,标准化是XML特色之一.XML提供了Web服务应用程序之间传输数据的标准格式.万维网联盟(W3C)管理XML标准并发布给全球的XML技术提供者,这就确保了XML产品的兼容性. 除了XML引擎和产品外还有XML文法(grammar).每一个XM			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/VMrd86z.html" rel="bookmark">建立安全 Web 服务</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				web|安全 摘要: Microsoft SOAP Toolkit 2.0 提供一个灵活的框架,可以为各种 Intranet 和 Internet 解决方案构建可伸缩的 Web 服务.在这两种方案中,安全性都是建立可靠服务的重要因素.SOAP Toolkit 2.0 支持基于 IIS 安全基础结构的 Internet 安全性.本文介绍了如何使用 Microsoft SOAP Toolkit 2.0 建立安全解决方案. 简介 与任何分布式协议相同,成功的 SOAP 应用程序的关键在于获得安全性权限			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/YbK8gOM.html" rel="bookmark">AJAX及使用E4X编写Web服务脚本</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ajax|web|web服务|脚本   本文先简单介绍一下可以用于 XML的 ECMAScript(ECMAScript for XML,E4X),它是一种对 JavaScript 的简单扩展,这使得编写 XML 脚本非常的简单.在本文中,作者演示了一种称为异步 JavaScript 及 XML(Asynchronous JavaScript and XML,AJAX)的 Web 编程模型,并且向您展示 JavaScript 的一些新 XML 扩展是如何使其更易于实现. 用于 XML 的 ECM			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMygjlz.html" rel="bookmark">用AJAX调用SOAP Web服务：构建Web服务客户机</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ajax|web|web服务|客户机 [导读]本文介绍如何使用异步 JavaScript 和 XML (Asynchronous JavaScript and XML, AJAX) 设计模式来实现基于 Web 浏览器的 SOAP Web 服务客户机. AJAX 已普遍用于许多知名的 Web 应用程序服务,例如 GMail.Google Maps.Flickr 和 Odeo.com.通过使用异步 XML 消息传递,AJAX 为 Web 开发人员提供了一种扩展其 Web 应用程序价值和功能的途径.这			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/1MvJerM.html" rel="bookmark">AJAX及使用E4X编写Web服务脚本&lpar;1&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ajax|web|web服务|脚本 本文先简单介绍一下可以用于 XML的 ECMAScript(ECMAScript for XML,E4X),它是一种对 JavaScript 的简单扩展,这使得编写 XML 脚本非常的简单.在本文中,作者演示了一种称为异步 JavaScript 及 XML(Asynchronous JavaScript and XML,AJAX)的 Web 编程模型,并且向您展示 JavaScript 的一些新 XML 扩展是如何使其更易于实现.  用于 XML 的 ECMA			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4oRrp.html" rel="bookmark" class="title">PS制作卷页效果</a>
					<div>
						卷页效果是我们在设计图像中常用的一种修饰效果.不少滤镜都能做到,如由AV Bros.公司出品的 Page Curl,或大名鼎鼎的KPT等.但如果用过你就会发现,这些滤镜作出的效果过于死板,更重要的是不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8BR4b.html" rel="bookmark" class="title">Access使用宏控制程序</a>
					<div>
						access|程序|控制 宏是指一个或多个操作的集合,其中每个操作实现特定的功能,例如打开某个窗体或打印某个报表.宏可以使某些普通的任务自动完成.例如,可设置某个宏,在用户单击某个命令按钮时运行该宏, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/4MYoEBz.html" rel="bookmark" class="title">互动设计理论&colon;谁和谁的互动？</a>
					<div>
						网络圈很乱,谁都来抢一口饭吃:汉字很神奇,圈(quān)字还有另外一个读音叫做juàn 要承认这个行业门槛越来越低,也要承认这个行业越来越激烈,今天我们来一起说说这个频频出现的字眼&quot;互动设计 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2aedM.html" rel="bookmark" class="title">C&num;的文件操作管理</a>
					<div>
						文件管理是操作系统的一个重要组成部分,而文件操作就是对用户在编写应用程序时进行文件管理的一种手段. 目前有许多文件系统.在我们使用过的从Dos.Windows3.X.Windows95.Windows ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ALLmp.html" rel="bookmark" class="title">win7系统无法启动备份文件提示错误0X800423怎么办？</a>
					<div>
						win7系统无法启动备份文件提示错误0X800423怎么办?   解决方法: 1.在运行对话框中,输入services.msc回车打开服务; 2.在服务中开启Volume Shadow Copy服务, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOym0M.html" rel="bookmark" class="title">Dreamweaver设计多彩文字链接</a>
					<div>
						  文字链接是网页中最常见的页面元素,在默认状态下,文字链接样式都是带下划线的,这种一陈不变的外观使网页无法凸现个性和满足布局的需要.为了使文字链接符合页面的整体效果,可以采用 CSS (样式)来实现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLlZ2b.html" rel="bookmark" class="title">ps打造五彩立体字技巧</a>
					<div>
						1.photoshop教程创建一个新的文件大小为1400*600像素.背景颜色为白色,调出渐变设置如下图标出的参数,从上向下绘制渐变. 2.在画布上键入一个&quot;s&quot;的字体. 3.点击 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1R4YKp.html" rel="bookmark" class="title">php实现指定字符串中查找子字符串的方法</a>
					<div>
						 这篇文章主要介绍了php实现指定字符串中查找子字符串的方法,涉及php中strpos()函数查找字符串的技巧,具有一定参考借鉴价值,需要的朋友可以参考下     本文实例讲述了php实现指定字符串中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAa9xJM.html" rel="bookmark" class="title">在WPS 2007邮件合并中引用特殊格式</a>
					<div>
						WPS Office 2007在最新的个人版中开放了邮件合并功能.可以方便地在WPS文字中引用WPS表格或者EXCEL文档中的数据了.但是,对于一些特殊格式的数据,在进行邮件合并时,却只能引用到原始的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwraGp.html" rel="bookmark" class="title">Win8&period;1如何使用快捷键查看文件属性？</a>
					<div>
						  1.只需按住键盘&quot;Alt&quot;键,然后&quot;左键双击&quot;需要查看属性的文件; 2.没有右键菜单,直接打开&quot;属性&quot;窗口,是不是很方便啊.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYRyVlp.html" rel="bookmark" class="title">怎么新建文件夹</a>
					<div>
						  [方法一] 第一步:双击打开要新建文件或文件夹的文件夹,包括硬盘.软盘等. 第二步:移动鼠标到菜单栏单击&quot;文件&quot;. 第三步:选择并单击&quot;新建&quot;菜单. 第四步 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywVWdz.html" rel="bookmark" class="title">使用smsx&period;cab做web打印，调用打印机出现问题</a>
					<div>
						问题描述 执行&quot;factory.printing.Print(false);&quot;没有调用打印机,而且浏览器出现卡顿....求大神帮忙解决代码如下:&lt;%@pagelanguage ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8k43b.html" rel="bookmark" class="title">系统-请问大神SQL Server怎样设置加分限制</a>
					<div>
						问题描述 请问大神SQL Server怎样设置加分限制 各位大神,渣新一枚,现在在做一个系统,学生的平时表现分数评定系统,大概是根据学校的规定制定加减分项,放在系统中,然后由学生自己对符合条件的加分项 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwL2rnb.html" rel="bookmark" class="title">oracle11g-用imp导入数据库时，带有CLOB字段的表都导入不进去！</a>
					<div>
						问题描述 用imp导入数据库时,带有CLOB字段的表都导入不进去! 我语句是这样写的:imp user/password@orcl file=? full=y;请问有什么问题!数据库 oracle11 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwqnQb.html" rel="bookmark" class="title">Java中获取类路径classpath的简单方法&lpar;推荐&rpar;&lowbar;java</a>
					<div>
						如下所示: &lt;SPAN style=&quot;FONT-SIZE: 18px&quot;&gt; System.out.println(&quot;++++++++++++++++++++++ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4NRLPM.html" rel="bookmark" class="title">互联网上云实践：场景化问题、解决方案和实战案例</a>
					<div>
						5月17日,云栖大会即将走进武汉.经过多位出品人认真筹备.倾力打造的技术盛宴即将呈现到参会者面前.从官网议程上可以看出,本次大会已邀请到50余位行业技术专家进行多场景实践分享,并为参会者奉上产品.技术 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWqNBp.html" rel="bookmark" class="title">LoadRunner调用Oracle存储过程</a>
					<div>
						为了测试这个存储过程,我遥了一圈去做这个事情,这里说一下我自己接受到任务和自己开始是怎么想的. 方法一: 一开始我想着可以使用C#直接去调用存储过程,然后用Loadrunner调用C#的dll去测试, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b32G47z.html" rel="bookmark" class="title">jsp连接mysql数据库的问题</a>
					<div>
						问题描述 我将数据库驱动包导入后,运行这个jsp就仅仅显示了&quot;进入try快&quot;,在class.forName之后的都没有进行,而且catch也没有显示任何东西......不解,新手求 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwRVwp.html" rel="bookmark" class="title">【博文推荐】Ossim中查看网络流量历史数据</a>
					<div>
						Ossim中查看网络流量的历史数据 在监控网段中建立基线是网络监控中一个重要衡量标准,没有基线流量就没有对比标准,通过这种方法能发现导致问题的流量变化.在OSSIM平台下通过嗅探数据包.进行协议分析( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKj7Db.html" rel="bookmark" class="title">Android高级控件----AdapterView与Adapter</a>
					<div>
						原创作品,允许转载,转载时请务必以超链接形式标明文章 原始出处 .作者信息和本声明.否则将追究法律责任.http://cinderella7.blog.51cto.com/7607653/128169 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60eJJz.html" rel="bookmark" class="title">润泉贝儿女性化妆品购物商城 开启B2C网购新时代</a>
					<div>
						静观B2C市场现状 伴随着我国电子商务的发展,越来越多的短板浮出水面,一位业界资深人士说:&quot;目前电子商务大好形势之下,行业的真实运营结果却不尽人意.&quot;经过笔者的细致研究,一方面:国 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDnK7XM.html" rel="bookmark" class="title">《社交网站界面设计（原书第2版）》&mdash;&mdash;1&period;9　为设备之间的空间进行设计</a>
					<div>
						1.9 为设备之间的空间进行设计 移动设备带来机遇,也带来危机,迫使设计师找到新的方式在一个很有挑战的屏幕大小范围内呈现信息.通过响应式网页设计和应用程序开发,我们为每种设备都做了很多设计工作.然而, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8YeGNz.html" rel="bookmark" class="title">引领园区产业变革发展，从智慧城市到智慧园区</a>
					<div>
						一. 中国智慧城市建设成效 1.中国信息化水平首超G20平均水平,并将持续大规模增长 根据国家信息化发展指数研究院提供的数据,从全球范围看,中国的信息化水平已经从2012年的第36位迅速攀升至2016 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0nDGAz.html" rel="bookmark" class="title">Qt 4&period;8&period;2发布 面向对象开发框架</a>
					<div>
						Qt 是一个多功能的面向对象http://www.aliyun.com/zixun/aggregation/13435.html&quot;&gt;开发框架,用于高性能开发.跨平台的富客户端和服务器端 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnNRAM.html" rel="bookmark" class="title">ORACLE调用接口&lpar;OCI&rpar;简介及重要函数流程介绍</a>
					<div>
						[文章摘要] 对于实现用户开销户的程序来说,与数据库进行交互是必不可少的.为了实现用户数据的存放.读取.删除等操作,我们需要频繁地访问数据库,这就对数据库的访问模式提出了较高的要求.ORACLE数据库 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVOxDz.html" rel="bookmark" class="title">基于javascript滚动图片具体实现&lowbar;javascript技巧</a>
					<div>
						前台: 复制代码 代码如下:  &lt;div class=&quot;block&quot;&gt;            &lt;div class=&quot;title&quot;&gt;   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWKLaz.html" rel="bookmark" class="title">Java程序，点击按钮（调用其它包里类的方法，返回字符串）后，将返回的字符串显示到jPanel上</a>
					<div>
						问题描述 Java程序,点击按钮(调用其它包里类的方法,返回字符串)后,将返回的字符串显示到jPanel上 怎么修改程序,点击按钮后,jPanel显示其它方法返回的字符串, 我是Java初学者,这个比 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPW7eZM.html" rel="bookmark" class="title">招聘java开发工程师</a>
					<div>
						问题描述 工作内容:负责公司自主研发的软件的开发工作:负责公司软件产品的售前.售后支持工作.任职要求:1.国家重点理工科大学计算机相关专业本科及以上学历:2.精通Java语言开发和面向对象设计:3.熟 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeLoOVp.html" rel="bookmark" class="title">消息称微软将放弃继续开发Silverlight</a>
					<div>
						腾讯科技讯(思北)11月11日消息,据国外媒体报道,继Adobe公司放弃移动Flash而并专注于HTML 5的开发之后,微软或也将布其后尘.据微软一高管称,微软跨平台 浏览器插件的最后版本在11月结束 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr7ANOp.html" rel="bookmark" class="title">Windows xp 下如何调节左右声道</a>
					<div>
						1.在任务栏音量图标处点击鼠标[右键],选择[调整音频属性].     2.选择声音和音频设备属性的[音量]选项卡中的[扬声器音量].     3.移动左右滑块来调整后,点击[确定]即可.  					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
